Java under Mozilla 1.7.10? - Redhat

This is a discussion on Java under Mozilla 1.7.10? - Redhat ; I just (courtesy of Fedora yum update) upgraded to Mozilla1.7.10 on Fedora FC3. As of that moment I cannot run browser java applets in Mozilla, Firefox or Konqueror, which was all working happily before. I have a normal (verging on ...

+ Reply to Thread
Results 1 to 10 of 10

Thread: Java under Mozilla 1.7.10?

  1. Java under Mozilla 1.7.10?

    I just (courtesy of Fedora yum update) upgraded
    to Mozilla1.7.10 on Fedora FC3.

    As of that moment I cannot run browser java applets
    in Mozilla, Firefox or Konqueror, which was all
    working happily before.

    I have a normal (verging on mundane) installation
    of j2sdk1.4.2_06, and I a nice sym link
    in /usr/lib/mozilla/plugins

    libjavaplugin_oji.so -> /usr/java/j2sdk1.4.2_06/jre/plugin/i386/ns610-gcc32/libjavaplugin_oji.so

    I reduced the problem to the point where I could not
    run HelloWorld from my own server...

    Strangely, I CAN run applets from the file system (i.e. accessed
    from the browser via file://)

    But I cannot load applets over HTTP :-(

    If I try, I get the following stack trace:

    java.lang.ClassNotFoundException: HelloWorld.class
    at sun.applet.AppletClassLoader.findClass(AppletClass Loader.java:162)
    at java.lang.ClassLoader.loadClass(ClassLoader.java:2 89)
    at sun.applet.AppletClassLoader.loadClass(AppletClass Loader.java:123)
    at java.lang.ClassLoader.loadClass(ClassLoader.java:2 35)
    at sun.applet.AppletClassLoader.loadCode(AppletClassL oader.java:566)
    at sun.applet.AppletPanel.createApplet(AppletPanel.ja va:617)
    at sun.plugin.AppletViewer.createApplet(AppletViewer. java:1863)
    at sun.applet.AppletPanel.runLoader(AppletPanel.java: 546)
    at sun.applet.AppletPanel.run(AppletPanel.java:298)
    at java.lang.Thread.run(Thread.java:534)
    Caused by: java.net.ConnectException: Invalid argument
    at java.net.PlainSocketImpl.socketConnect(Native Method)
    at java.net.PlainSocketImpl.doConnect(PlainSocketImpl .java:305)
    at java.net.PlainSocketImpl.connectToAddress(PlainSoc ketImpl.java:171)
    at java.net.PlainSocketImpl.connect(PlainSocketImpl.j ava:158)
    at java.net.Socket.connect(Socket.java:452)
    at sun.net.NetworkClient.doConnect(NetworkClient.java :137)
    at sun.plugin.net.protocol.http.HttpClient.doConnect( HttpClient.java:106)
    at sun.net.http://www.http.HttpClient.openServe...lient.java:402)
    at sun.net.http://www.http.HttpClient.openServe...lient.java:618)
    at sun.net.www.http.HttpClient.(HttpClient.java:306)
    at sun.net.www.http.HttpClient.(HttpClient.java:267)
    at sun.plugin.net.protocol.http.HttpClient.(HttpClient.java:41)
    at sun.plugin.net.protocol.http.HttpClient.New(HttpCl ient.java:62)
    at sun.plugin.net.protocol.http.HttpURLConnection.cre ateConnection(HttpURLConnection.java:101)
    at sun.plugin.net.protocol.http.HttpURLConnection.con nect(HttpURLConnection.java:158)
    at sun.plugin.net.protocol.http.HttpURLConnection.get InputStream(HttpURLConnection.java:393)
    at java.net.HttpURLConnection.getResponseCode(HttpURL Connection.java:272)
    at sun.applet.AppletClassLoader.getBytes(AppletClassL oader.java:263)
    at sun.applet.AppletClassLoader.access$100(AppletClas sLoader.java:43)
    at sun.applet.AppletClassLoader$1.run(AppletClassLoad er.java:152)
    at java.security.AccessController.doPrivileged(Native Method)
    at sun.applet.AppletClassLoader.findClass(AppletClass Loader.java:149)
    ... 9 more

    If anyone has any hints, or have seen this, I'd appreciate pointers.

    BugBear

  2. Re: Java under Mozilla 1.7.10?

    On Wed, 17 Aug 2005 17:27:15 +0100, bugbear wrote:
    > I just (courtesy of Fedora yum update) upgraded
    > to Mozilla1.7.10 on Fedora FC3.
    >
    > As of that moment I cannot run browser java applets
    > in Mozilla, Firefox or Konqueror, which was all
    > working happily before.
    >
    > I have a normal (verging on mundane) installation
    > of j2sdk1.4.2_06, and I a nice sym link
    > in /usr/lib/mozilla/plugins
    >
    > libjavaplugin_oji.so -> /usr/java/j2sdk1.4.2_06/jre/plugin/i386/ns610-gcc32/libjavaplugin_oji.so


    Just for fun I would try the other plugin /ns610/libjavaplugin_oji.so

  3. Re: Java under Mozilla 1.7.10?

    On Wed, 17 Aug 2005 17:27:15 +0100, bugbear
    wrote or quoted :

    >But I cannot load applets over HTTP :-(


    Along the lines of "did you remember to plug it in?"

    Is Java enabled in Mozilla? See Preferences | advanced.

    Is Mozilla enabled in the Java control panel | advanced?

  4. Re: Java under Mozilla 1.7.10?

    Roedy Green wrote:
    > On Wed, 17 Aug 2005 17:27:15 +0100, bugbear
    > wrote or quoted :
    >
    >
    >>But I cannot load applets over HTTP :-(

    >
    >
    > Along the lines of "did you remember to plug it in?"
    >
    > Is Java enabled in Mozilla? See Preferences | advanced.


    Yes; the plug-in is found and enabled. Further it works
    over the file: IO mechanism. It's only HTTP that fails.

    >
    > Is Mozilla enabled in the Java control panel | advanced?


    See above.

    Thanks for your thoughts.

    BugBear

  5. Re: Java under Mozilla 1.7.10?

    Bit Twister wrote:
    > On Wed, 17 Aug 2005 17:27:15 +0100, bugbear wrote:
    >
    >>I just (courtesy of Fedora yum update) upgraded
    >>to Mozilla1.7.10 on Fedora FC3.
    >>
    >>As of that moment I cannot run browser java applets
    >>in Mozilla, Firefox or Konqueror, which was all
    >>working happily before.
    >>
    >>I have a normal (verging on mundane) installation
    >>of j2sdk1.4.2_06, and I a nice sym link
    >>in /usr/lib/mozilla/plugins
    >>
    >>libjavaplugin_oji.so -> /usr/java/j2sdk1.4.2_06/jre/plugin/i386/ns610-gcc32/libjavaplugin_oji.so

    >
    >
    > Just for fun I would try the other plugin /ns610/libjavaplugin_oji.so


    No - that was built with the wrong compiler for my system.
    http://www.atd.ucar.edu/rtf/include/...nuxPlugin.html

    BugBear

  6. Re: Java under Mozilla 1.7.10?

    bugbear wrote:
    > I just (courtesy of Fedora yum update) upgraded
    > to Mozilla1.7.10 on Fedora FC3.
    >
    > As of that moment I cannot run browser java applets
    > in Mozilla, Firefox or Konqueror, which was all
    > working happily before.


    Check your path and classpath:

    [rodger@K4]$ which java
    /opt/bin/java

    [rodger@K4]$ java -version
    java version "1.5.0_04"
    Java(TM) 2 Runtime Environment, Standard Edition (build 1.5.0_04-b05)
    Java HotSpot(TM) Client VM (build 1.5.0_04-b05, mixed mode, sharing)

    Where I put my java classes:
    [rodger@K4]$ echo $CLASSPATH
    /opt/java.classes
    [rodger@K4]$

  7. Re: Java under Mozilla 1.7.10?

    On Thu, 18 Aug 2005 09:32:33 +0100, bugbear
    wrote or quoted :

    >> Is Mozilla enabled in the Java control panel | advanced?

    >
    >See above.


    You realise they are two quite different things.

    The Java control panel controls Mozilla's right to interpret tags. That, in the strange world of Java, might be interpreted to
    mean remote i/o only.

    I had the reverse problem with Opera which they eventually fixed.

    I am using Mozilla 1.7.11 with Java 1.5.0_04 no problem on Win2k with
    local or remote Applets.

    Let's check if there is something odd about the way you are doing
    remote applets.

    See if you can access http://mindprod.com/applets/wassup.html (signed)

    or http://mindprod.com/applets/isbn.html (unsigned)

  8. Re: Java under Mozilla 1.7.10?

    Roedy Green wrote:
    > On Thu, 18 Aug 2005 09:32:33 +0100, bugbear
    > wrote or quoted :
    >
    >
    >>>Is Mozilla enabled in the Java control panel | advanced?

    >>
    >>See above.

    >
    >
    > You realise they are two quite different things.
    >
    > The Java control panel controls Mozilla's right to interpret > tags. That, in the strange world of Java, might be interpreted to
    > mean remote i/o only.
    >
    > I had the reverse problem with Opera which they eventually fixed.
    >
    > I am using Mozilla 1.7.11 with Java 1.5.0_04 no problem on Win2k with
    > local or remote Applets.
    >
    > Let's check if there is something odd about the way you are doing
    > remote applets.
    >
    > See if you can access http://mindprod.com/applets/wassup.html (signed)
    >
    > or http://mindprod.com/applets/isbn.html (unsigned)


    Thanks for the help. The problem turned out to
    be (as usual) miles away from where I was looking.

    My automated FC3 update had updated some security settings,
    and SELinux was set so tight I couldn't get anything useful
    done.

    I'm behind a tight corporate firewall anyway, so
    I "eased"e the SELinux settings, and can now get work
    done once more...

    Thanks to all for the suggestions.

    BugBear

  9. Re: Java under Mozilla 1.7.10?

    On Mon, 22 Aug 2005 12:37:10 +0100, bugbear
    wrote or quoted :

    >Thanks for the help. The problem turned out to
    >be (as usual) miles away from where I was looking.
    >
    >My automated FC3 update had updated some security settings,
    >and SELinux was set so tight I couldn't get anything useful
    >done.
    >
    >I'm behind a tight corporate firewall anyway, so
    >I "eased"e the SELinux settings, and can now get work
    >done once more...
    >
    >Thanks to all for the suggestions.


    What tipped you off?

  10. Re: Java under Mozilla 1.7.10?

    It has nothing to do with the upgrade you did. Its a problem of finding
    the class path. Your class path file probabely needs a project name
    appended.

+ Reply to Thread